/*******************************************************************************
 * "THE BEER-WARE LICENSE" (Revision 42):
 * Mario Hellmich <mario.hellmich@web.de> wrote this file. As long as you retain
 * this notice you can do whatever you want with this stuff. If we meet some
 * day, and you think this stuff is worth it, you can buy me a beer in return.
 * Mario Hellmich
 *******************************************************************************
 * 
 * File: app_syscontrol.c
 * 
 * Version: 1.0
 * Created: 16.07.2023
 * 
 * Author: Mario Hellmich <mario.hellmich@web.de>
 * Project: RF Synthesizer MK III
 * 
 * Summary: This file contains high level source code for the frequency 
 * synthesizer application. It implements the APP_SYSCONTROL_Tasks() function, 
 * which calls various other functions necessary to implement the synthesizer 
 * functions which need to be performed periodically..This function is handed 
 * over to the RTOS as a task routine.
 * 
 * *****************************************************************************/

/*Section: Includes ************************************************************/

#include "app_syscontrol.h"


/*Section: Function implementations ********************************************/

void APP_Syscontrol_Tasks(void)
{
    /* Change synthesizer output frequency or level */
    SYS_Operation_Tasks();
    
    /* Perform periodic self test */
    selftest();
}


/*******************************************************************************
 End of File
 */