/*******************************************************************************
 * "THE BEER-WARE LICENSE" (Revision 42):
 * Mario Hellmich <mario.hellmich@web.de> wrote this file. As long as you retain
 * this notice you can do whatever you want with this stuff. If we meet some
 * day, and you think this stuff is worth it, you can buy me a beer in return.
 * Mario Hellmich
 *******************************************************************************
 * 
 * File: main.c
 * 
 * Version: 1.0
 * Created: 16.07.2023
 * 
 * Author:  Mario Hellmich <mario.hellmich@web.de>
 * Project: RF Synthesizer MK III
 * 
 * Target:  Microchip SAM E54 (ATSAME54P20A), Core: ARM Cortex-M4, little endian
 * 
 * Summary: This file contains the "main" function.
 * 
 * *****************************************************************************/

/*Section: Includes ************************************************************/

#include <stddef.h>                     // Defines NULL
#include <stdbool.h>                    // Defines true
#include <stdlib.h>                     // Defines EXIT_FAILURE
#include "definitions.h"                // SYS function prototypes
#include "rtos_setup.h"                 // Setup of RTOS timers and queues


// *****************************************************************************
// Section: Main Entry Point
// *****************************************************************************

int main(void)
{
    /* Initialize all software modules */
    SYS_Initialize(NULL);
    
    /* Setup of timers and queues */
    RTOS_Setup();
    
    /* Main loop */
    while(true)
        SYS_Tasks();

    return(EXIT_FAILURE);
}

/*******************************************************************************
 End of File
*/