/*******************************************************************************
 * "THE BEER-WARE LICENSE" (Revision 42):
 * Mario Hellmich <mario.hellmich@web.de> wrote this file. As long as you retain
 * this notice you can do whatever you want with this stuff. If we meet some
 * day, and you think this stuff is worth it, you can buy me a beer in return.
 * Mario Hellmich
 *******************************************************************************
 * 
 * File: rtos_setup.c
 * 
 * Version: 1.0
 * Created: 16.07.2023
 * 
 * Author: Mario Hellmich <mario.hellmich@web.de>
 * Project: RF Synthesizer MK III
 * 
 * Summary: This file implements the function RTOS_setup() which initializes
 * freeRTOS related application specific setups such as semaphores.
 * 
 * *****************************************************************************/

/*Section: Includes ************************************************************/

#include "rtos_setup.h"
#include "timers.h"


/*Section: Definitions**********************************************************/

QueueHandle_t cdc_rx_queue;
QueueHandle_t cdc_tx_queue;
QueueHandle_t spi_queue;

#define SPI_QUEUE_LEN   256
#define CDC_QUEUE_LEN   128


/*Section: Function implementations ********************************************/

void RTOS_Setup(void)
{
    /* Create queues */
    spi_queue = xQueueCreate(SPI_QUEUE_LEN, sizeof(SPI_Queue_Data_t));
    cdc_rx_queue = xQueueCreate(CDC_QUEUE_LEN, sizeof(char));
    cdc_tx_queue = xQueueCreate(CDC_QUEUE_LEN, sizeof(char));
}

/*******************************************************************************
 End of File
 */