/*******************************************************************************
 * "THE BEER-WARE LICENSE" (Revision 42):
 * Mario Hellmich <mario.hellmich@web.de> wrote this file. As long as you retain
 * this notice you can do whatever you want with this stuff. If we meet some
 * day, and you think this stuff is worth it, you can buy me a beer in return.
 * Mario Hellmich
 *******************************************************************************
 * 
 * File: rtos_setup.h
 * 
 * Version: 1.0
 * Created: 16.07.2023
 * 
 * Author: Mario Hellmich <mario.hellmich@web.de>
 * Project: RF Synthesizer MK III
 * 
 * Summary: This header provides prototypes and definitions for 
 * rtos_setup.c.
 * 
 * *****************************************************************************/

#ifndef RTOS_SETUP_H
#define	RTOS_SETUP_H

#ifdef	__cplusplus
extern "C" {
#endif


/*Section: Includes*************************************************************/

#include "definitions.h"
#include "timers.h"
#include "app_spi.h"
#include "app_system_operation.h"
    
    
/* Type definitions ************************************************************/    


/*Section: Variables ***********************************************************/

extern QueueHandle_t spi_queue;
extern QueueHandle_t cdc_rx_queue;
extern QueueHandle_t cdc_tx_queue;

/* Task handles are defined in tasks.c */
extern TaskHandle_t xAPP_Syscontrol_Tasks;
extern TaskHandle_t xAPP_SPI_Tasks;


/*Section: Function prototypes**************************************************/

extern void RTOS_Setup(void);


#ifdef	__cplusplus
}
#endif

#endif	/* RTOS_SETUP_H */

/*******************************************************************************
 End of File
 */