/*******************************************************************************
 * "THE BEER-WARE LICENSE" (Revision 42):
 * Mario Hellmich <mario.hellmich@web.de> wrote this file. As long as you retain
 * this notice you can do whatever you want with this stuff. If we meet some
 * day, and you think this stuff is worth it, you can buy me a beer in return.
 * Mario Hellmich
 *******************************************************************************
 * 
 * File: util.h
 * 
 * Version: 1.0
 * Created: 16.07.2023
 * 
 * Author: Mario Hellmich <mario.hellmich@web.de>
 * Project: RF Synthesizer MK III
 * 
 * This file provides some routines for FIFO buffers used globally in the 
 * project.
 * 
 * *****************************************************************************/

#ifndef UTIL_H
#define	UTIL_H

/*Section: Includes ************************************************************/

#include "stdlib.h"
#include <math.h>
#include "config/default/toolchain_specifics.h"


/*Section: Type definitions ****************************************************/

#define FIFO_BUFLEN         128

typedef struct{
    char CACHE_ALIGN buf[FIFO_BUFLEN];
    unsigned int read;
    unsigned int write;
} Fifo_Buffer_t;


/*Section: Function prototypes: ************************************************/

extern int buffer_put(Fifo_Buffer_t *buffer, char byte);
extern int buffer_get(Fifo_Buffer_t *buffer, char *byte_p);
extern void blocking_delay(unsigned int cycles);
extern int ffs(int num);
extern int fls(int num);


#ifdef	__cplusplus
extern "C" {
#endif


#ifdef	__cplusplus
}
#endif

#endif	/* UTIL_H */


/*******************************************************************************
 End of File
 */